.\"	$NetBSD: rpc.lockd.8,v 1.5 2000/06/09 18:51:47 cgd Exp $
.\"
.\" Copyright (c) 1995 A.R.Gordon, andrew.gordon@net-tel.co.uk
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"
.Dd September 24, 1995
.Dt RPC.LOCKD 8
.Os
.Sh NAME
.Nm rpc.lockd
.Nd NFS file locking daemon
.Sh SYNOPSIS
.Nm
.Op Fl d Ar debug_level
.Op Fl g Ar grace period
.Sh DESCRIPTION
The
.Nm
daemon provides monitored and unmonitored file and record locking services
in an NFS environment.  To monitor the status of hosts requesting locks,
the locking daemon typically operates in conjunction
with
.Xr rpc.statd 8 .
.Pp
Options and operands available for
.Nm
:
.Bl -tag -width Ds
.It Fl d
The
.Fl d
option causes debugging information to be written to syslog, recording
all RPC transactions to the daemon.  These messages are logged with level
LOG_DEBUG and facility LOG_DAEMON.  Specifying a debug_level of 1 results
in the generation of one log line per protocol operation.  Higher
debug levels can be specified, causing display of operation arguments
and internal operations of the daemon.
.It Fl g
The
.Fl g
option allow to specify the grace period, in seconds. During the grace period
.Nm
only accepts requests from hosts which are reinitialising locks which
existed before the server restart. Default is 30 seconds.
.El
.Pp
Error conditions are logged to syslog, irrespective of the debug level,
using log level LOG_ERR and facility LOG_DAEMON.
.Pp
The
.Nm
daemon must NOT be invoked by
.Xr inetd 8
because the protocol assumes that the daemon will run from system start time.
Instead, it should be configured in
.Xr rc.conf 5
to run at system startup.
.Sh FILES
.Bl -tag -width /usr/include/rpcsvc/nlm_prot.x -compact
.It Pa /usr/include/rpcsvc/nlm_prot.x
RPC protocol specification for the network lock manager protocol.
.El
.Sh SEE ALSO
.Xr syslog 3 ,
.Xr rc.conf 5 ,
.Xr rpc.statd 8
.Sh STANDARDS
The implementation is based on the specification in X/Open CAE Specification
C218, "Protocols for X/Open PC Interworking: XNFS, Issue 4", ISBN 1 872630 66 9
.Sh HISTORY
A version of
.Nm
appeared in
.Tn SunOS 4 .
.Sh BUGS
The current implementation provides only the server side of the protocol
(i.e. clients running other OS types can establish locks on a
.Nx
fileserver,
but there is currently no means for a
.Nx
client to establish locks).
.Pp
The current implementation serialises locks requests that could be shared.
